# slxos_linkagg – Manage link aggregation groups on Extreme Networks SLX-OS network devices

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of link aggregation groups on Extreme Networks SLX-OS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of link aggregation definitions.
group - |  | Channel-group number for the port-channel Link aggregation group. Range 1-1024.
members - |  | List of members of the link aggregation group.

mode
-

Choices:
- active
- on
- passive

Mode of the link aggregation group.

purge
boolean

Choices:
- no
- yes

Purge links not defined in the aggregate parameter.

state
-

Choices:
- present ←
- absent

State of the link aggregation group.

## Notes

Note

- Tested against SLX-OS 17s.1.02

## Examples

    - name: create link aggregation group
      slxos_linkagg:
        group: 10
        state: present

    - name: delete link aggregation group
      slxos_linkagg:
        group: 10
        state: absent

    - name: set link aggregation group to members
      slxos_linkagg:
        group: 200
        mode: active
        members:
          - Ethernet 0/1
          - Ethernet 0/2

    - name: remove link aggregation group from Ethernet 0/1
      slxos_linkagg:
        group: 200
        mode: active
        members:
          - Ethernet 0/1

    - name: Create aggregate of linkagg definitions
      slxos_linkagg:
        aggregate:
          - { group: 3, mode: on, members: [Ethernet 0/1] }
          - { group: 100, mode: passive, members: [Ethernet 0/2] }

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface port-channel 30', 'interface Ethernet 0/3', 'channel-group 30 mode on', 'no interface port-channel 30']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matthew Stone (@bigmstone)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.